Package com.fasterxml.jackson.core.util

# Class DefaultPrettyPrinter.FixedSpaceIndenter

java.lang.Object
com.fasterxml.jackson.core.util.DefaultPrettyPrinter.NopIndenter
com.fasterxml.jackson.core.util.DefaultPrettyPrinter.FixedSpaceIndenter

All Implemented Interfaces:
  `DefaultPrettyPrinter.Indenter`, `Serializable`

Enclosing class:
  DefaultPrettyPrinter

public static class DefaultPrettyPrinter.FixedSpaceIndenter extends DefaultPrettyPrinter.NopIndenter
This is a very simple indenter that only adds a single space for indentation. It is used as the default indenter for array values.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DefaultPrettyPrinter.FixedSpaceIndenter`
`instance`

## Constructor Summary

Constructors
Constructor
Description
`FixedSpaceIndenter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isInline()`
`void`
`writeIndentation(JsonGenerator g, int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instance

public static final DefaultPrettyPrinter.FixedSpaceIndenter instance

## Constructor Details

### FixedSpaceIndenter

public FixedSpaceIndenter()

## Method Details

### writeIndentation

public void writeIndentation(JsonGenerator g, int level) throws IOException

Specified by:
  `writeIndentation` in interface `DefaultPrettyPrinter.Indenter`
Overrides:
  `writeIndentation` in class `DefaultPrettyPrinter.NopIndenter`
Throws:
  `IOException`

### isInline

public boolean isInline()

Specified by:
  `isInline` in interface `DefaultPrettyPrinter.Indenter`
Overrides:
  `isInline` in class `DefaultPrettyPrinter.NopIndenter`
Returns:
  True if indenter is considered inline (does not add linefeeds), false otherwise